<?php

namespace App\Http\Controllers\Api;


use App\Service\OaService;
use Illuminate\Http\Request;


class OaController extends BaseController
{

    public function oaList(Request $request)
    {

        $userData = $request->userData->toArray();
        $service = new OaService($userData);

        list($status,$data) = $service->oaList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function oaDetail(Request $request)
    {


        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function oaUserDetail(Request $request){
        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaUserDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function oaParam(Request $request){
        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaParam($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function oaFormula(Request $request){
        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaFormula($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function oaAdd(Request $request)
    {


        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaAdd($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function oaEdit(Request $request)
    {


        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaEdit($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function oaDel(Request $request)
    {


        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }


    public function createOaOrder(Request $request)
    {


        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->createOaOrder($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(400,$data);
        }

    }




    public function oaOrderDetail(Request $request)
    {


        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaOrderDetail($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }
    public function oaCheck(Request $request)
    {

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaCheck($request->all(),$userData,$request);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function oaSubType(Request $request)
    {


        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaSubType($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function oaGetData(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaGetData($request);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }



    public function oaOrderState(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaOrderState($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }




    public function oaOrderList(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaOrderList($request);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }


    public function checkAllOver(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->checkAllOver($request);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }



    public function oaCheckMove(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaCheckMove($request,$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }


    public function oaSubUserDetail(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaSubUserDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function oaSubRemark(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaSubRemark($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function reportList(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->reportList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
    public function reportCount(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->reportCount($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
    public function reportCheck(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->reportCheck($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
    public function reportTime(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->reportTime($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }


    public function oaGetTeamDetail(Request $request){

        $userData = $request->userData->toArray();
        $service = new OaService($userData);
        list($status,$data) = $service->oaGetTeamDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function oaParamGet(Request $request){
        return $this->json_return(200,'', config('oa'));
    }







}
